package Common.Visual.Tables;
import Common.Visual.UI_;
import Common.Visual.Themes.ThemeElement;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
//наиболее распространенный случай. переотображение текста и/или изображения в ячейке таблицы.
public class StyledCellLabel extends JLabel implements ThemeElement {
    public StyledCellLabel() {
        setFont(UI_.getTheme().Fonts.get(VisualiserFonts.TreePlain));
        setHorizontalAlignment(SwingConstants.LEFT);
        setVerticalAlignment(SwingConstants.CENTER);
        setOpaque(true);
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(UI_.getTheme().table_background);
        setForeground(UI_.getTheme().foreground);
    }
}
